Get all info for a Passport user
curl --request GET \
--url https://api.sandbox.immutable.com/passport-profile/v1/user/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.immutable.com/passport-profile/v1/user/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.immutable.com/passport-profile/v1/user/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sub": "<string>",
"linked_addresses": [
"<string>"
],
"email": "<string>",
"passport_address": "<string>"
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "UNAUTHORISED_REQUEST",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26"
}passport profile
Get all info for a Passport user
Get all the info for an authenticated Passport user
GET
/
passport-profile
/
v1
/
user
/
info
Get all info for a Passport user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Passport user's info
The user's id
The user's list of linked addresses
The user's linked address
Maximum string length:
42Pattern:
^0x[0-9a-fA-F]*$The user's email address
The user's Passport address if it has been registered
Maximum string length:
42Pattern:
^0x[0-9a-fA-F]*$Was this page helpful?
⌘I